let Genode = env:DHALL_GENODE

let Prelude = Genode.Prelude

let XML = Prelude.XML

let defaults = ./../../pkgDefaults.dhall

in  { indexInfo =
        "QUAKE engine"
    , runtime =
          defaults.runtime
        ⫽ { ram =
              Genode.units.MiB 64
          , caps =
              256
          , roms =
              defaults.runtime.roms # [ "quake_shareware.tar" ]
          , config =
              XML.text
              ''
              	<config>
              		<game/>
              		<libc stdout="/dev/log" stderr="/dev/log"/>
              		<vfs>
              			<tar name="quake_shareware.tar"/>
              			<fs/>
              			<dir name="dev"> <log label="core"/> </dir>
              		</vfs>
              		<default-controller port="0" device="3"/>
              		<variables>
              			<variable key="tyrquake_resolution" value="960x600"/>
              		</variables>
              	</config>
              ''
          }
    }
